> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/stateinterpolationplugin/tweenermanager.md).

# TweenerManager

### Introduction

The TweenerManager is responsible for performing ever-frame logic on tweeners. It can be used to create new Tweeners, inspect existing Tweeners, and interrupt existing Tweeners.

### Code Example - TweenAsync

TweenAsync can be used to perform tweening logic using an Action, allowing the assignment of any property. Unlike the Tween function, TweenAsync can operate on any object such as a Gum GraphicalUiElement instance.

The following code shows how to tween an object's X from 0 to 100.

```csharp
await TweenerManager.Self.TweenAsync(
    owner: GumObjectInstance,
    assignmentAction: (newValue) => GumObjectInstance.X = newValue,
    from: 0,
    to: 100,
    during: 3, // seconds
    interpolation: InterpolationType.Quadratic,
    easing: Easing.Out);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/stateinterpolationplugin/tweenermanager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
